package com.microservices.file.mapper;


import com.microservices.system.api.domain.SysFileInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文件管理Mapper接口
 *
 * @author microservices
 * @date 2021-12-29
 */
@Mapper
public interface SysFileInfoMapper {
    /**
     * 查询文件管理
     *
     * @param fileObjectName
     * @return 文件管理
     */
    public SysFileInfo selectSysFileInfoByFileObjectName(String fileObjectName);

    /**
     * 查询文件管理
     *
     * @param fileId 文件管理主键
     * @return 文件管理
     */
    public SysFileInfo selectSysFileInfoByFileId(Long fileId);

    /**
     * 查询文件管理列表
     *
     * @param sysFileInfo 文件管理
     * @return 文件管理集合
     */
    public List<SysFileInfo> selectSysFileInfoList(SysFileInfo sysFileInfo);

    /**
     * 新增文件管理
     *
     * @param sysFileInfo 文件管理
     * @return 结果
     */
    public int insertSysFileInfo(SysFileInfo sysFileInfo);

    /**
     * 修改文件管理
     *
     * @param sysFileInfo 文件管理
     * @return 结果
     */
    public int updateSysFileInfo(SysFileInfo sysFileInfo);

    /**
     * 删除文件管理
     *
     * @param fileId 文件管理主键
     * @return 结果
     */
    public int deleteSysFileInfoByFileId(Long fileId);

    /**
     * 批量删除文件管理
     *
     * @param fileIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysFileInfoByFileIds(Long[] fileIds);

    /**
     * 删除文件管理信息
     *
     * @param fileObjectName
     * @return 结果
     */
    public int deleteSysFileInfoByFileObjectName(String fileObjectName);

    /**
     * 根据文件标识查询文件
     *
     * @param fileIdentifier 文件标识
     * @return 文件
     */
    SysFileInfo selectSysFileInfoByIdentifier(String fileIdentifier);
}
